ALAS-2019-1186


Amazon Linux AMI Security Advisory: ALAS-2019-1186
Advisory Release Date: 2019-03-25 22:50 Pacific
Severity: Medium

Issue Overview:

do_bid_note in readelf.c in libmagic.a has a stack-based buffer over-read, related to file_printf and file_vprintf. (CVE-2019-8904 )

do_core_note in readelf.c in libmagic.a has a stack-based buffer over-read, related to file_printable, a different vulnerability than CVE-2018-10360 . (CVE-2019-8905 )

do_core_note in readelf.c in libmagic.a allows remote attackers to cause a denial of service (stack corruption and application crash) or possibly have unspecified other impact. (CVE-2019-8907 )

do_core_note in readelf.c in libmagic.a has an out-of-bounds read because memcpy is misused. (CVE-2019-8906 )


Affected Packages:

file


Issue Correction:
Run yum update file to update your system.

New Packages:
i686:
    file-5.34-3.37.amzn1.i686
    file-devel-5.34-3.37.amzn1.i686
    file-libs-5.34-3.37.amzn1.i686
    file-debuginfo-5.34-3.37.amzn1.i686
    file-static-5.34-3.37.amzn1.i686

noarch:
    python27-magic-5.34-3.37.amzn1.noarch
    python26-magic-5.34-3.37.amzn1.noarch

src:
    file-5.34-3.37.amzn1.src

x86_64:
    file-static-5.34-3.37.amzn1.x86_64
    file-devel-5.34-3.37.amzn1.x86_64
    file-5.34-3.37.amzn1.x86_64
    file-debuginfo-5.34-3.37.amzn1.x86_64
    file-libs-5.34-3.37.amzn1.x86_64